Bug 141697 - ATAPI-CDROM not accessible with kernel options ide-scsi and swiotlb
ATAPI-CDROM not accessible with kernel options ide-scsi and swiotlb
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On: 128475
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 18:38 EST by Udo Seidel
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:28:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Udo Seidel 2004-12-02 18:38:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
If the kernel is loaded with the options ide-scsi (to use the atapi
dvd/cd-writer as scsi device) AND swiotlb (for the nvidia driver), the
dvd/cd-drive is not accessible, eg. for mount, eject, cdrecord.
Removing either the ide-scsi option or the swiotlb option, the
dvd/cdrom-drive works as expected.

Version-Release number of selected component (if applicable):
2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1. boot the kernel with eg. hdc=ide-scsi swiotlb=16384
2. mount /dev/cdrom /mnt/cdrom; eject; cdrecord -scanbus
3. remove one of the options ide-scsi or swiotlb and boot again
4. mount /dev/cdrom /mnt/cdrom; eject; 
    

Actual Results:  the dvd/cdrom-drive is not a valid block device for
the mount command, it cannot accessed and used by cdrecord, it cannot
be opend oder closed using the command eject

Expected Results:  opening and closing using the command eject
mounting of cds and dvds
writing cds using cdrecord

Additional info:

the option swiotlb is neccessary for the hardware accelerated graphic
driver from nvidia.
Comment 1 Tom Coughlan 2004-12-22 17:21:47 EST
Believe it or not, if you reverse the order of the kernel parameters, that is, 

change "hdc=ide-scsi swiotlb=16384" 
to "swiotlb=16384 hdc=ide-scsi" 

I believe you will find the problem does not occur.

Please confirm. We are working on a proper fix.

Thanks.

hda=ide-scsi parameter gets mangled before ide_setup gets ahold of it
Comment 3 Udo Seidel 2004-12-22 18:35:20 EST
> Believe it or not, if you reverse the order of the kernel parameters, that is, 
> 
> change "hdc=ide-scsi swiotlb=16384" 
> to "swiotlb=16384 hdc=ide-scsi" 

I want to believe. ;-) 
 
> I believe you will find the problem does not occur. 
> Please confirm. We are working on a proper fix.

Unfortunately, I'm on holidays now, I will check the revers order of the kernel
parameters in january 2005.
Comment 4 Larry Woodman 2005-01-06 12:57:15 EST
The change to increase the default swiotlb to 16384 was committed into
the RHEL3-U5 pool.  

Larry Woodman
Comment 5 Ernie Petrides 2005-01-06 17:45:47 EST
This problem has been resolved by making swiotlb=16384 the default setting
for ia32e (EM64T) platforms.  Larry Woodman's patch was committed to the
RHEL3 U5 patch pool on 23-Dec-2004 (in kernel version 2.4.21-27.5.EL).
Comment 6 Udo Seidel 2005-01-10 03:58:39 EST
Yep, reversing the order of the kernel parameters works like a charm.
Comment 7 Tim Powers 2005-05-18 09:28:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.